
/****************************************************************************

dbExpress - Cross-Platform, database independent data access interface

Copyright (c) 2000, 2001 Borland Software Corporation

This file may be distributed and/or modified under the terms of the GNU
General Public License (GPL) version 2 as published by the Free Software

Software Foundation and appearing at
http://www.borland.com/kylix/gpl.html.

Licensees holding a valid Borland No-Nonsense License for this Software
may use this file in accordance with such license, which appears in the file
license.txt that came with this Software.

****************************************************************************/

#include <dbxpress.h>

//Transaction support
SQLResult SQLConnection::beginTransaction( 
   UINT32 ulTransID)
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLConnection::commit(
   UINT32 ulTransID)
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLConnection::rollback(
   UINT32 ulTransID)
{
   return DBXERR_NOTSUPPORTED;
}


SQLResult SQLCursor::setOption (
   eSQLCursorOption eCurOption,
   INT32             lValue )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getOption (
   eSQLCursorOption eCurOption,
   pINT32           plValue,
   INT16            iMaxLen,
   pINT16           pLen )
{
   return DBXERR_NOTSUPPORTED;
}

//A new SQLCursor object will be returned if there is another result set 
//available from a stored procedure execution
SQLResult SQLCommand::getNextCursor (
   ppSQLCursor ppCur)
{
   return DBXERR_NOTSUPPORTED;
}

//Error handling
SQLResult SQLCursor::getErrorMessage (
  pBYTE pszError )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getErrorMessageLen (
   pUINT16 puErrorLen )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::isBlobSizeExact(
   UINT16 uColumnNumber,
   pBOOL  pbBlobSizeExact ) 
{
   return DBXERR_NOTSUPPORTED;
}
      
//Data access methods
SQLResult SQLCursor::getString (
   UINT16 uColumnNumber,
   pCHAR  pData,
   pBOOL  pbIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getShort (
   UINT16 uColumnNumber,
   pINT16 pData,
   pBOOL  pbIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getLong (
   UINT16 uColumnNumber,
   pINT32 pData,
   pBOOL  pbIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getDouble (
  UINT16 uColumnNumber,
  pDFLOAT  pData,
  pBOOL  pbIsNull )
{
  return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getBcd (
  UINT16 uColumnNumber,
  pFMTBcd  pData,
  pBOOL  pbIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getTimeStamp (
  UINT16          uColumnNumber,
  pSQLLTIMESTAMP  pData,
  pBOOL           pbIsNull ) 
{
  return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getTime (
  UINT16     uColumnNumber,
  pINT32     pData,
  pBOOL      pbIsNull )
{ 
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getDate (
  UINT16     uColumnNumber,
  pINT32     pData,
  pBOOL      pbIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getBytes (
  UINT16     uColumnNumber,
  pBYTE      pData,
  pBOOL      pbIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getBlobSize (
  UINT16  uColumnNumber,
  pUINT32 pulLength,
  pBOOL   bIsNull )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLCursor::getBlob (
   UINT16 uColumnNumber,
   pVOID  pData,
   pBOOL  bIsNull,
   UINT32 ulLength )
{
   return DBXERR_NOTSUPPORTED;
}

//Error handling
SQLResult SQLMetaData::getErrorMessage (
  pBYTE pszError )
{
   return DBXERR_NOTSUPPORTED;
}

SQLResult SQLMetaData::getErrorMessageLen (
   pUINT16 puErrorLen )
{
   return DBXERR_NOTSUPPORTED;
}

