
/****************************************************************************

dbExpress - Cross-Platform, database independent data access interface

Copyright (c) 2000, 2001 Borland Software Corporation

This file may be distributed and/or modified under the terms of the GNU
General Public License (GPL) version 2 as published by the Free Software

Software Foundation and appearing at
http://www.borland.com/kylix/gpl.html.

Licensees holding a valid Borland No-Nonsense License for this Software
may use this file in accordance with such license, which appears in the file
license.txt that came with this Software.

****************************************************************************/

#ifndef DBXEXT_H
#define DBXEXT_H

#include "dbxtypes.h"

//Multiple transaction support
typedef struct
{
   UINT32       uTransID;                   // Transaction id
   UINT32       uGID;                       // Global id
   eXILType     eTransIsoLevel;             // Transaction isolation level
   UINT32       uCustomIsolation;           // DB specific isloation level

} TransactionDesc;

typedef TransactionDesc  *pTransactionDesc;

#endif

