/*************************************************************************** 
                                                                             
 Kylix and Delphi Cross-Platform Visual Component Library                    
                                                                             
 Copyright (c) 2000, 2001 Borland Software Corporation                       
                                                                             
 This file may be distributed and/or modified under the terms of the GNU     
 General Public License (GPL) version 2 as published by the Free Software    
 Software Foundation and appearing at http://www.borland.com/kylix/gpl.html. 
                                                                             
 Licensees holding a valid Borland No-Nonsense License for this Software may 
 use this file in accordance with such license, which appears in the file    
 license.txt that came with this Software.                                   
                                                                             
****************************************************************************/

#ifndef QOPENCOMBOBOX_H
#define QOPENCOMBOBOX_H

#include <qcombobox.h>

class Q_EXPORT QOpenComboBox : public QComboBox {
  public:
    QOpenComboBox( QWidget *parent=0, const char *name=0 ) : QComboBox(parent, name) {};
    QOpenComboBox( bool rw, QWidget *parent=0, const char *name=0 ) : QComboBox(rw, parent, name) {};

  void popup() {
    QComboBox::popup();
  };
};

#endif /* QOPENCOMBOBOX_H */
