#ifndef QOpenPainter_H
#define QOpenPainter_H

#include <qpainter.h>
#if defined(_WS_X11_)
class QOpenPainter : public QPainter {
public:

  static WId getDrawable(QPainter *p) {
    return reinterpret_cast<QOpenPainter *>(p)->hd;
  }

  static GC getGC(QPainter *p) {
    return reinterpret_cast<QOpenPainter *>(p)->gc;
  }

  static GC getBrushGC(QPainter *p) {
    return reinterpret_cast<QOpenPainter *>(p)->gc_brush;
  }

  static Display* getDisplay(QPainter *p) {
    return reinterpret_cast<QOpenPainter *>(p)->dpy;
  }
};
#endif
#endif