# Figure the guard
if ($^O eq 'linux') { $bindgen = 'btools/bindgen'; } else { $bindgen = 'btools\\bindgen'; }
$header = $ARGV[0];
$header =~ s/\.h//;
@tmp = split(/\\|\//, $header);
$guard = @tmp[$#tmp];
$guard =~ tr/a-z/A-Z/;
$guard = "C_".$guard . "_H";

# write ifndef
print "#ifndef ".$guard."\n#define ".$guard."\n\n";

# convert file
print `$bindgen -ctypes $ARGV[0]`;
print `$bindgen -cheader $ARGV[0]`;

# write endif
print "\n#endif\n"
