/**************************************************************************** 
                                                                             
 Kylix and Delphi Cross-Platform Visual Component Library                    
                                                                             
 Copyright (c) 2000, 2001 Borland Software Corporation                       
                                                                             
 This file may be distributed and/or modified under the terms of the GNU     
 General Public License (GPL) version 2 as published by the Free Software    
 Software Foundation and appearing at http://www.borland.com/kylix/gpl.html. 
                                                                             
 Licensees holding a valid Borland No-Nonsense License for this Software may 
 use this file in accordance with such license, which appears in the file    
 license.txt that came with this Software.                                   
                                                                             
 ****************************************************************************/ 

#include <qstring.h>
#include <qrect.h>
#include <qpoint.h>
#include <qsize.h>
#include <qpointarray.h>
#include <qvaluelist.h>

#include "bindhelp.h"

void initPAnsiStrings(CopyCharsToPAnsiString ctps,
  CharsOfPAnsiString cops, InitializePAnsiString ip, FinalizePAnsiString fp)
{
  copyCharsToPAnsiString = ctps;
  charsOfPAnsiString = cops;
  initPAnsiString = ip;
  finalPAnsiString = fp;
}

void initPWideStrings(CopyUnicodeToPWideString cutps, UnicodeOfPWideString uops,
  LengthOfPWideString lops, InitializePWideString ip, FinalizePWideString fp)
{
  copyUnicodeToPWideString = cutps;
  unicodeOfPWideString = uops;
  lengthOfPWideString = lops;
  initPWideString = ip;
  finalPWideString = fp;
}

void initializePPointArray(GetPointsPtr gpp, GetPointsLength gpl,
  SetPointsLength spl)
{
  getPointsPtr = gpp;
  getPointsLength = gpl;
  setPointsLength = spl;
}

void initializePIntArray(GetIntsPtr gip, GetIntsLength gil,
  SetIntsLength sil)
{
  getIntsPtr = gip;
  getIntsLength = gil;
  setIntsLength = sil;
}


