type
  PPByte = ^PByte;
  PInteger = ^Integer;
  PCardinal = ^Cardinal;
  uint = Cardinal;
  PMsg = Pointer;//^tagMSG;

  PSizePolicy = ^TSizePolicy;
  TSizePolicy = packed record
    Data: Word;
  end;

  PPointArray = ^TPointArray;
  TPointArray = array of TPoint;

  PIntArray = ^TIntArray;
  TIntArray = array of Integer;
  
  WId = Cardinal;
  PWId = ^WId;
  WFlags = Integer;
  HANDLE = type Integer;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HANDLE} {$ENDIF}
  HCURSOR = type HANDLE;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HCURSOR} {$ENDIF}
  HPALETTE = type HANDLE;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HPALETTE} {$ENDIF}
  HFONT = type HANDLE;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HFONT} {$ENDIF}
  HDC = type HANDLE;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HDC} {$ENDIF}
  HBITMAP = type HANDLE;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HBITMAP} {$ENDIF}
  HRGN = type HANDLE;
  {$IFDEF MSWINDOWS} {$EXTERNALSYM HRGN} {$ENDIF}
  QRgb = type Cardinal;
  QRgbH = ^QRgb;
  QCOORD = type Integer;

  QHookH = TMethod;

const
  NullHook: QHookH = (Code: nil; Data: nil);

type
  QAsyncIOH = class(TObject) end;
        QDataSinkH = class(QAsyncIOH) end;
        QDataSourceH = class(QAsyncIOH) end;
                QIODeviceSourceH = class(QDataSourceH) end;
  QBitValH = class(TObject) end;
  QCharH = class(TObject) end;
  QCollectionH = class(TObject) end;
        QGCacheH = class(QCollectionH) end;
                QAsciiCacheH = class(QGCacheH) end;
                QCacheH = class(QGCacheH) end;
                QIntCacheH = class(QGCacheH) end;
        QGDictH = class(QCollectionH) end;
                QAsciiDict = class(QGDictH) end;
                QDictH = class(QGDictH) end;
                QIntDictH = class(QGDictH) end;
                QPtrDictH = class(QGDictH) end;
        QGListH = class(QCollectionH) end;
                QListH = class(QGListH) end;
                       QWidgetListH = class(QListH) end;
                       QStrListH = class(QListH) end;
                                QStrIListH = class(QStrListH) end;
                QQueueH = class(QGListH) end;
                QStackH = class(QGListH) end;
  QColorH = class(TObject) end;
  QColorGroupH = class(TObject) end;
  QConnectionH = class(TObject) end;
  QCursorH = class(TObject) end;
  QDataStreamH = class(TObject) end;
  QDateH = class(TObject) end;
  QDateTimeH = class(TObject) end;
  QDirH = class(TObject) end;
  QDropSiteH = class(TObject) end;
  QFileInfoH = class(TObject) end;
  QFocusDataH = class(TObject) end;
  QFontH = class(TObject) end;
  QFontDatabaseH = class(TObject) end;
  QFontInfoH = class(TObject) end;
  QFontMetricsH = class(TObject) end;
  QGArrayH = class(TObject) end;
        QArrayH = class(QGArrayH) end;
                QPointArrayH = class(QArrayH) end;
  QGCacheIteratorH = class(TObject) end;
        QAsciiCacheIteratorH = class(QGCacheIteratorH) end;
        QCacheIteratorH = class(QGCacheIteratorH) end;
        QIntCacheIteratorH = class(QGCacheIteratorH) end;
  QGDictIteratorH = class(TObject) end;
        QAsciiDictIteratorH = class(QGDictIteratorH) end;
        QDictIteratorH = class(QGDictIteratorH) end;
        QIntDictIteratorH = class(QGDictIteratorH) end;
        QPtrDictIteratorH = class(QGDictIteratorH) end;
  QGLH = class(TObject) end;
        QGLContextH = class(QGLH) end;
        QGLFormatH = class(QGLH) end;
  QGListIteratorH = class(TObject) end;
        QListIteratorH = class(QGListIteratorH) end;
  QIconDragItemH = class(TObject) end;
  QIconSetH = class(TObject) end;
  QImageH = class(TObject) end;
  QImageConsumerH = class(TObject) end;
  QImageDecoderH = class(TObject) end;
  QImageFormatH = class(TObject) end;
  QImageFormatTypeH = class(TObject) end;
  QImageIOH = class(TObject) end;
  QIODeviceH = class(TObject) end;
        QBufferH = class(QIODeviceH) end;
        QFileH = class(QIODeviceH) end;
        QSocketDeviceH = class(QIODeviceH) end;
        QClxIODeviceH = class(QIODeviceH) end;
  QLayoutItemH = class(TObject) end;
        QSpacerItemH = class(QLayoutItemH) end;
        QWidgetItemH = class(QLayoutItemH) end;
  QLayoutIteratorH = class(TObject) end;
  QListBoxItemH = class(TObject) end;
        QListBoxPixmapH = class(QListBoxItemH) end;
        QListBoxTextH = class(QListBoxItemH) end;
                QClxListBoxItemH = class(QListBoxTextH) end;
  QListViewItemIteratorH = class(TObject) end;
  QLNodeH = class(TObject) end;
  QMapH = class(TObject) end;
  QMapConstIteratorH = class(TObject) end;
  QMapIteratorH = class(TObject) end;
  QMenuDataH = class(TObject) end;
  QMimeSourceH = class(TObject) end;
  	QClxMimeSourceH = class(QMimeSourceH) end;
  QMimeSourceFactoryH = class(TObject) end;
  	QClxMimeSourceFactoryH = class(QMimeSourceFactoryH) end;
  QMovieH = class(TObject) end;
  QNPluginH = class(TObject) end;
  QNPStreamH = class(TObject) end;
  QPaintDeviceH = class(TObject) end;
        QPictureH = class(QPaintDeviceH) end;
        QPixmapH = class(QPaintDeviceH) end;
                QBitmapH = class(QPixmapH) end;
        QPrinterH = class(QPaintDeviceH) end;
  QPaintDeviceMetricsH = class(TObject) end;
  QPaletteH = class(TObject) end;
  QPixmapCacheH = class(TObject) end;
  QPointH = class(TObject) end;
  QRangeControlH = class(TObject) end;
  QRectH = class(TObject) end;
  QRegExpH = class(TObject) end;
  QRegionH = class(TObject) end;
  QSharedH = class(TObject) end;
    QGLayoutIteratorH = class(QSharedH) end;
  QSimpleRichTextH = class(TObject) end;
  QSizeH = class(TObject) end;
  QSizePolicyH = class(TObject) end;
  QSocketAddressH = class(TObject) end;
  QStringH = class(TObject) end;
        QConstStringH = class(QStringH) end;
  QtH = class(TObject) end;
        QBrushH = class(QtH) end;
        QEventH = class(QtH) end;
                QChildEventH = class(QEventH) end;
                QCloseEventH = class(QEventH) end;
                QCustomEventH = class(QEventH) end;
                QDragLeaveEventH = class(QEventH) end;
                QDragResponseEventH = class(QEventH) end;
                QDropEventH = class(QEventH) end;
                        QDragMoveEventH = class(QDropEventH) end;
                                QDragEnterEventH = class(QDragMoveEventH) end;
                QFocusEventH = class(QEventH) end; 
                QHideEventH = class(QEventH) end;
                QKeyEventH = class(QEventH) end;
                QMouseEventH = class(QEventH) end;
                QMoveEventH = class(QEventH) end;
                QPaintEventH = class(QEventH) end;
                QResizeEventH = class(QEventH) end;
                QShowEventH = class(QEventH) end;
                QTimerEventH = class(QEventH) end;
                QWheelEventH = class(QEventH) end;
	QIconViewItemH = class(QtH) end;
                QClxIconViewItemH = class(QIconViewItemH) end;
        QListViewItemH = class(QtH) end;
                QClxListViewItemH = class(QListViewItemH) end;
                QCheckListItemH = class(QListViewItemH) end;
                        QClxCheckListItemH = class(QCheckListItemH) end;                
        QObjectH = class(QtH) end;
                QAccelH = class(QObjectH) end;
                QApplicationH = class(QObjectH) end;
			QClxApplicationH = class(QApplicationH) end;
                        QXtApplicationH = class(QApplicationH) end;
                QClipboardH = class(QObjectH) end;
                QDataPumpH = class(QObjectH) end;
                QDragObjectH = class(QObjectH) end;
                	QClxDragObjectH = class(QDragObjectH) end;
                	QIconDragH = class(QDragObjectH) end;
                        QImageDragH = class(QDragObjectH) end;
                        QStoredDragH = class(QDragObjectH) end;
                                QUriDragH = class(QStoredDragH) end;
                                QColorDragH = class(QStoredDragH) end;
                        QTextDragH = class(QDragObjectH) end;
                QFileIconProviderH = class(QObjectH) end;
                QClxFileIconProviderH = class(QObjectH) end;
                QLayoutH = class(QObjectH) end;
                        QBoxLayoutH = class(QLayoutH) end;
                                QHBoxLayoutH = class(QBoxLayoutH) end;
                                QVBoxLayoutH = class(QBoxLayoutH) end; 
                        QGridLayoutH = class(QLayoutH) end;
                QNPInstanceH = class(QObjectH) end;
                QServerSocketH = class(QObjectH) end;
                QSessionManagerH = class(QObjectH) end;
                QSignalH = class(QObjectH) end;
                QSignalMapperH = class(QObjectH) end;
                QSocketH = class(QObjectH) end;
                QSocketNotifierH = class(QObjectH) end;
                QStyleH = class(QObjectH) end;
                        QCommonStyleH = class(QStyleH) end;
                                QMotifStyleH = class(QCommonStyleH) end;
                                        QCDEStyleH = class(QMotifStyleH) end;
                                QWindowsStyleH = class(QCommonStyleH) end;
                                        QPlatinumStyleH = class(QWindowsStyleH) end;
                                QClxStyleH = class(QStyleH) end;
                QStyleSheetH = class(QObjectH) end;
                QTimerH = class(QObjectH) end;
                QToolTipGroupH = class(QObjectH) end;
                QTranslatorH = class(QObjectH) end;
                        QAppTranslatorH = class(QTranslatorH) end;
                QValidatorH = class(QObjectH) end;
                        QDoubleValidatorH = class(QValidatorH) end;
                        QIntValidatorH = class(QValidatorH) end;
                QWidgetH = class(QObjectH) end;
                        QButtonH = class(QWidgetH) end;
                                QCheckBoxH = class(QButtonH) end;
                                QPushButtonH = class(QButtonH) end;
                                        QClxBitBtnH = class(QPushButtonH) end;
                                QRadioButtonH = class(QButtonH) end;
                                QToolButtonH = class(QButtonH) end;
                        QOpenWidgetH = class(QWidgetH);
                QComboBoxH = class(QWidgetH) end;
			QOpenComboBoxH = class(QComboBoxH) end;
                QDialogH = class(QWidgetH) end;
                        QColorDialogH = class(QDialogH) end;
                        QFileDialogH = class(QDialogH) end;
                        QClxFileDialogH = class(QDialogH) end;
                        QFontDialogH = class(QDialogH) end;
                        QMessageBoxH = class(QDialogH) end;
                        QTabDialogH = class(QDialogH) end;
                        QWizardH = class(QDialogH) end;
                        QPrintDialogH = class(QDialogH) end;
                        QTranslatorDialogH = class(QDialogH) end;
                QFrameH = class(QWidgetH) end;
                        QGridH = class(QFrameH) end;
                        QGroupBoxH = class(QFrameH) end;
				QButtonGroupH = class(QGroupBoxH) end;
					QHButtonGroupH = class(QButtonGroupH) end;
                                        QVButtonGroupH = class(QButtonGroupH) end;
                                QHGroupBoxH = class(QGroupBoxH) end;
                                QVGroupBoxH = class(QGroupBoxH) end;
                        QHBoxH = class(QFrameH) end;
                                QVBoxH = class(QHBoxH) end;
                        QLCDNumberH = class(QFrameH) end;
                        QLabelH = class(QFrameH) end;
                        QMenuBarH = class(QFrameH) end;
                        QPopupMenuH = class(QFrameH) end;
                        QProgressBarH = class(QFrameH) end;
                        QScrollViewH = class(QFrameH) end;
				QOpenScrollViewH = class(QScrollViewH) end;
                		QIconViewH = class(QScrollViewH) end;
                                QListBoxH = class(QScrollViewH) end;
                                QListViewH = class(QScrollViewH) end;
                                QTextViewH = class(QScrollViewH) end;
                                        QTextEditH = class(QTextViewH) end;
                                        QTextBrowserH = class(QTextViewH) end;
                        QSpinBoxH = class(QFrameH) end;
                          QClxSpinBoxH = class(QSpinBoxH) end;
                        QSplitterH = class(QFrameH) end;
                        QTableViewH = class(QFrameH) end;
                                QOpenTableViewH = class(QTableViewH) end;
                                        QMultiLineEditH = class(QOpenTableViewH) end;
                                               QOpenMultiLineEditH = class(QMultiLineEditH) end;
                        QWidgetStackH = class(QFrameH) end;
                QGLWidgetH = class(QWidgetH) end;
                QHeaderH = class(QWidgetH) end;
                QLineEditH = class(QWidgetH) end;
                        QClxLineEditH = class(QLineEditH) end;
                        QRenameEditH = class(QLineEditH) end;
                QMainWindowH = class(QWidgetH) end;
                QNPWidgetH = class(QWidgetH) end;
                QScrollBarH = class(QWidgetH) end;
                QSemiModalH = class(QWidgetH) end;
                        QProgressDialogH = class(QSemiModalH) end;
                QSizeGripH = class(QWidgetH) end;
                QSliderH = class(QWidgetH) end;
                  QClxSliderH = class(QSliderH) end;
                QStatusBarH = class(QWidgetH) end;
                QTabBarH = class(QWidgetH) end;
                QTabWidgetH = class(QWidgetH) end;
                QToolBarH = class(QWidgetH) end;
                QXtWidgetH = class(QWidgetH) end;
                QWorkspaceH = class(QWidgetH) end;
                	QClxWorkspaceH = class(QWorkspaceH) end;
        QPainterH = class(QtH) end;
        QPenH = class(QtH) end;
        QStyleSheetItemH = class(QtH) end;
        QToolTipH = class(QtH) end;
        QWhatsThisH = class(QtH) end;
  QTabH = class(TObject) end;
  QTextCodecH = class(TObject) end;
  QTextDecoderH = class(TObject) end;
  QTextEncoderH = class(TObject) end;
  QTextStreamH = class(TObject) end;
        QTextIStreamH = class(QTextStreamH) end;
        QTextOStreamH = class(QTextStreamH) end;
  QTimeH = class(TObject) end;
  QTranslatorMessageH = class(TObject) end;
  QValueListH = class(TObject) end;
  QValueListConstIteratorH = class(TObject) end;
  QValueListIteratorH = class(TObject) end;
  QWMatrixH = class(TObject) end;
  QWidgetMapperH = class(TObject) end;
  QStringListH = class(TObject) end;
        QOpenStringListH = class(QStringListH) end;
  QFileInfoListH = class(TObject) end;
  QBitArrayH = class(TObject) end;
  QByteArrayH = class(TObject) end;
  QMapPrivateBaseH = class(TObject) end;
  QMapNodeBaseH = class(TObject) end;
  QMenuItemH = class(TObject) end;
  QMetaObjectH = class(TObject) end;
  QObjectListH = class(TObject) end;
  QTextNodeH = class(TObject) end;
  QPNGImageWriterH = class(TObject) end;
        QPNGImagePackerH = class(QPNGImageWriterH) end;
  QFilePreviewH = class(TObject) end;
  QClxFilePreviewH = class(TObject) end;
  QImageTextKeyLangH = class(TObject) end;
  QCustomMenuItemH = class(TObject) end;
  QClxStyleHooksH = class(TObject) end;
  QClxListBoxHooksH = class(TObject) end;
  QClxListViewHooksH = class(TObject) end;
  QClxIconViewHooksH = class(TObject) end;

  QObject_hookH = class(TObject) end;
    QClxWorkspace_hookH = class(QObject_hookH) end;
    QAccel_hookH = class(QObject_hookH) end;
    QToolTip_hookH = class(QObject_hookH) end;
      QWidget_hookH = class(QObject_hookH) end;
	QButton_hookH = class(QWidget_hookH) end;
	  QCheckBox_hookH = class(QButton_hookH) end;
          QPushButton_hookH = class(QButton_hookH) end;
          QRadioButton_hookH = class(QButton_hookH) end;
          QToolButton_hookH = class(QButton_hookH) end;
	QComboBox_hookH = class(QWidget_hookH) end;
	QHeader_hookH = class(QWidget_hookH) end;
	QLineEdit_hookH = class(QWidget_hookH) end;
	  QRenameEdit_hookH = class(QLineEdit_hookH) end;
        QClxLineEdit_hookH = class(QWidget_hookH) end;
	QMainWindow_hookH = class(QWidget_hookH) end;
	QSlider_hookH = class(QWidget_hookH) end;
	QTabBar_hookH = class(QWidget_hookH) end;
	QSpinBox_hookH = class(QWidget_hookH) end;
	QTabWidget_hookH = class(QWidget_hookH) end;
	QFrame_hookH = class(QWidget_hookH) end;
	  QGroupBox_hookH = class(QFrame_hookH) end;
	    QButtonGroup_hookH = class(QGroupBox_hookH) end;
	      QHButtonGroup_hookH = class(QButtonGroup_hookH) end;
              QVButtonGroup_hookH = class(QButtonGroup_hookH) end;
	    QHGroupBox_hookH = class(QGroupBox_hookH) end;
            QVGroupBox_hookH = class(QGroupBox_hookH) end;
	  QGrid_hookH = class(QFrame_hookH) end;
	  QLCDNumber_hookH = class(QFrame_hookH) end;
	  QPopupMenu_hookH = class(QFrame_hookH) end;
	  QMenuBar_hookH = class(QFrame_hookH) end;
	  QWidgetStack_hookH = class(QFrame_hookH) end;
	  QTableView_hookH = class(QFrame_hookH) end;
	    QMultiLineEdit_hookH = class(QTableView_hookH) end;
	    QWellArray_hookH = class(QTableView_hookH) end;
	  QScrollView_hookH = class(QFrame_hookH) end;
            QIconView_hookH = class(QScrollView_hookH) end;
	    QListBox_hookH = class(QScrollView_hookH) end;
	      QFileListBox_hookH = class(QListBox_hookH) end;
	    QListView_hookH = class(QScrollView_hookH) end;
	      QFileListView_hookH = class(QListView_hookH) end;
	    QTextView_hookH = class(QScrollView_hookH) end;
	      QTextEdit_hookH = class(QTextView_hookH) end;
	      QTextBrowser_hookH = class(QTextView_hookH) end;
	  QSplitter_hookH = class(QFrame_hookH) end;
	  QHBox_hookH = class(QFrame_hookH) end;
            QVBox_hookH = class(QHBox_hookH) end;
          QLabel_hookH = class(QFrame_hookH) end;
          QProgressBar_hookH = class(QFrame_hookH) end;
	QDialog_hookH = class(QWidget_hookH) end;
	  QFontDialog_hookH = class(QDialog_hookH) end;
	  QFileDialog_hookH = class(QDialog_hookH) end;
	  QClxFileDialog_hookH = class(QDialog_hookH) end;
	  QWizard_hookH = class(QDialog_hookH) end;
	  QMessageBox_hookH = class(QDialog_hookH) end;
	  QColorDialog_hookH = class(QDialog_hookH) end;
	QSemiModal_hookH = class(QWidget_hookH) end;
          QProgressDialog_hookH = class(QSemiModal_hookH) end;
	QScrollBar_hookH = class(QWidget_hookH) end;
        QSizeGrip_hookH = class(QWidget_hookH) end;
        QStatusBar_hookH = class(QWidget_hookH) end;
        QToolBar_hookH = class(QWidget_hookH) end;
        QWorkspace_hookH = class(QWidget_hookH) end;
    QTimer_hookH = class(QObject_hookH) end;
    QSocketNotifier_hookH = class(QObject_hookH) end;
    QIODevice_hookH = class(QObject_hookH);
      QSocket_hookH = class(QIODevice_hookH) end;
    QSignalMapper_hookH = class(QObject_hookH) end;
    QListViewItem_hookH = class(QObject_hookH) end;
      QCheckListItem_hookH = class(QListViewItem_hookH) end;
    QClipboard_hookH = class(QObject_hookH) end;
    QApplication_hookH = class(QObject_hookH) end;
    QToolTipGroup_hookH = class(QObject_hookH) end;
    QSenderObject_hookH = class(QObject_hookH) end;
    QEvent_hookH = class(QObject_hookH) end;
      QTimerEvent_hookH = class(QEvent_hookH) end;
      QMouseEvent_hookH = class(QEvent_hookH) end;
      QWheelEvent_hookH = class(QEvent_hookH) end;
      QKeyEvent_hookH = class(QEvent_hookH) end;
      QFocusEvent_hookH = class(QEvent_hookH) end;
      QPaintEvent_hookH = class(QEvent_hookH) end;
      QMoveEvent_hookH = class(QEvent_hookH) end;
      QResizeEvent_hookH = class(QEvent_hookH) end;
      QCloseEvent_hookH = class(QEvent_hookH) end;
      QShowEvent_hookH = class(QEvent_hookH) end;
      QHideEvent_hookH = class(QEvent_hookH) end;
      QDropEvent_hookH = class(QEvent_hookH) end;
      QDragMoveEvent_hookH = class(QEvent_hookH) end;
      QDragEnterEvent_hookH = class(QEvent_hookH) end;
      QDragResponseEvent_hookH = class(QEvent_hookH) end;
      QDragLeaveEvent_hookH = class(QEvent_hookH) end;
      QChildEvent_hookH = class(QEvent_hookH) end;
      QCustomEvent_hookH = class(QEvent_hookH) end;
  QFileIconProvider_hookH = class(QObject_hookH) end;
  QClxFileIconProvider_hookH = class(QObject_hookH) end;
  QStyle_hookH = class(QObject_hookH) end;
    QCommonStyle_hookH = class(QStyle_hookH) end;
      QMotifStyle_hookH = class(QObject_hookH) end;
        QCDEStyle_hookH = class(QMotifStyle_hookH) end;
      QWindowsStyle_hookH = class(QCommonStyle_hookH) end;
        QPlatinumStyle_hookH = class(QWindowsStyle_hookH) end;
  QStyleSheetItem_hookH = class(QObject_hookH) end;
  QStyleSheet_hookH = class(QObject_hookH) end;
  QTranslator_hookH = class(QObject_hookH) end;
  QValidator_hookH = class(QObject_hookH) end;
    QIntValidator_hookH = class(QValidator_hookH) end;
    QDoubleValidator_hookH = class(QValidator_hookH) end;
  QBrush_hookH = class(QObject_hookH) end;
  QPainter_hookH = class(QObject_hookH) end;
  QPen_hookH = class(QObject_hookH) end;
  QSignal_hookH = class(QObject_hookH) end;
  QWhatsThis_hookH = class(QObject_hookH) end;
  QIconViewItem_hookH = class(QObject_hookH) end;
  QDragObject_hookH = class(QObject_hookH) end;
    QIconDrag_hookH = class(QObject_hookH) end;
    QStoredDrag_hookH = class(QDragObject_hookH) end;
      QColorDrag_hookH = class(QDragObject_hookH) end;
      QUriDrag_hookH = class(QStoredDrag_hookH) end;
    QTextDrag_hookH = class(QDragObject_hookH) end;
    QImageDrag_hookH = class(QDragObject_hookH) end;
  QMovie_hookH = class(TObject) end;

  QMapNodeBaseHH = ^QMapNodeBaseH;
  QMenuDataHH = ^QMenuDataH;

  PDisplay = Pointer;
  _NPStream = Pointer;
  _NPStreamP = ^_NPStream;
  QPropertyH = Pointer;
  QSenderObjectH = Pointer;

  QMessageBoxButton = (NoButton = 0,
                       Ok = 1,
                       Cancel = 2,
                       Yes = 3,
                       No = 4,
                       Abort = 5,
                       Retry = 6,
                       Ignore = 7,
                       ButtonMask = $07,
                       Default = $100,
                       Escape = $200,
                       FlagMask = $300);

{$IFDEF LINUX}
type
  TLoadThemeHook = function: Pointer;
var
  LoadThemeHook: TLoadThemeHook = nil;
{$ENDIF}

